Summary:	A simple-in-use Qt based text editor
Name:		teaqt
Version:	26.0.0
Release:	%mkrel 1
Group:		Editors
License:	GPLv3+
URL:		http://tea-editor.sourceforge.net/
Source0:	http://downloads.sourceforge.net/tea-editor/tea-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-root
Buildrequires:	qt4-devel
BuildRequires:	imagemagick aspell-devel

%description
Teaqt is a simple-in-use Qt-based text editor.

%prep
%setup -q -n tea-%version

%build
%qmake_qt4 PREFIX=%{_bindir}
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std INSTALL_ROOT=%buildroot

mv %buildroot%_bindir/tea %buildroot%_bindir/%name

# icons
mkdir -p %buildroot/{%_liconsdir,%_iconsdir,%_miconsdir}
convert -resize 16x16 icons/tea_icon_v2.png %buildroot/%_miconsdir/%name.png
convert -resize 32x32 icons/tea_icon_v2.png %buildroot/%_iconsdir/%name.png
convert -resize 48x48 icons/tea_icon_v2.png %buildroot/%_liconsdir/%name.png

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=tea
Comment=A simple-in-use Qt-based text editor
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Qt;TextEditor;Utility;
EOF

%if %mdkversion < 200900
%post
%update_menus
%endif

%if %mdkversion < 200900
%postun
%clean_menus
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS README TODO
%{_bindir}/*
%_liconsdir/%name.png
%_miconsdir/%name.png
%_iconsdir/%name.png
%_datadir/applications/*


%changelog
* Thu Oct 01 2009 Funda Wang <fundawang@mandriva.org> 26.0.0-1mdv2010.0
+ Revision: 451926
- New version 26.0.0

* Tue Aug 11 2009 Frederik Himpe <fhimpe@mandriva.org> 25.1.0-1mdv2010.0
+ Revision: 415156
- update to new version 25.1.0

* Sat Jul 25 2009 Frederik Himpe <fhimpe@mandriva.org> 25.0.0-1mdv2010.0
+ Revision: 399876
- update to new version 25.0.0

* Tue Jun 02 2009 Funda Wang <fundawang@mandriva.org> 24.0.0-1mdv2010.0
+ Revision: 382091
- New version 24.0.0

* Wed May 27 2009 Funda Wang <fundawang@mandriva.org> 23.7.0-1mdv2010.0
+ Revision: 380177
- New version 23.7.0

* Tue May 26 2009 Funda Wang <fundawang@mandriva.org> 23.6.0-1mdv2010.0
+ Revision: 379813
- New version 23.6.0

* Thu May 21 2009 Frederik Himpe <fhimpe@mandriva.org> 23.5.0-1mdv2010.0
+ Revision: 378398
- Update to new version 23.5.0
- Rediff prefix patch

* Wed Mar 04 2009 Funda Wang <fundawang@mandriva.org> 23.1.1-1mdv2009.1
+ Revision: 348408
- New version 23.1.1

* Tue Feb 10 2009 Funda Wang <fundawang@mandriva.org> 23.0.0-1mdv2009.1
+ Revision: 339064
- update to new version 23.0.0

* Wed Jan 21 2009 Funda Wang <fundawang@mandriva.org> 22.3.0-1mdv2009.1
+ Revision: 332265
- update to new version 22.3.0

* Tue Jan 20 2009 Funda Wang <fundawang@mandriva.org> 22.2.1-1mdv2009.1
+ Revision: 331515
- update to new version 22.2.1

* Sun Jan 18 2009 Funda Wang <fundawang@mandriva.org> 22.2.0-1mdv2009.1
+ Revision: 330800
- 22.2.0

* Tue Jan 13 2009 Funda Wang <fundawang@mandriva.org> 22.1.0-1mdv2009.1
+ Revision: 328880
- New version 22.1.0

* Sat Jan 03 2009 Funda Wang <fundawang@mandriva.org> 22.0.1-1mdv2009.1
+ Revision: 323561
- new version 22.0.1

* Fri Jan 02 2009 Funda Wang <fundawang@mandriva.org> 22.0.0-1mdv2009.1
+ Revision: 323307
- New version 22.0.0

* Sun Dec 21 2008 Funda Wang <fundawang@mandriva.org> 21.1.3-1mdv2009.1
+ Revision: 317044
- new version 21.1.3

* Sat Dec 20 2008 Funda Wang <fundawang@mandriva.org> 21.1.2-1mdv2009.1
+ Revision: 316502
- new version 21.1.2

* Thu Dec 18 2008 Funda Wang <fundawang@mandriva.org> 21.1.1-1mdv2009.1
+ Revision: 315478
- new version 21.1.1

* Wed Dec 17 2008 Funda Wang <fundawang@mandriva.org> 21.1.0-1mdv2009.1
+ Revision: 315058
- new version 21.1.0

* Thu Dec 11 2008 Funda Wang <fundawang@mandriva.org> 21.0.5-1mdv2009.1
+ Revision: 312853
- new version 21.0.5

* Tue Dec 09 2008 Funda Wang <fundawang@mandriva.org> 21.0.4-1mdv2009.1
+ Revision: 312120
- new version 21.0.4

* Sun Nov 30 2008 Funda Wang <fundawang@mandriva.org> 21.0.3-1mdv2009.1
+ Revision: 308406
- update to new version 21.0.3

* Fri Nov 28 2008 Funda Wang <fundawang@mandriva.org> 21.0.2-1mdv2009.1
+ Revision: 307343
- New version 21.0.2

* Thu Nov 20 2008 Funda Wang <fundawang@mandriva.org> 21.0.0-1mdv2009.1
+ Revision: 304909
- new version 21.0.0

* Sun Oct 12 2008 Funda Wang <fundawang@mandriva.org> 20.0.0-1mdv2009.1
+ Revision: 292800
- new version 20.0.0

* Sun Aug 31 2008 Funda Wang <fundawang@mandriva.org> 19.1.0-1mdv2009.0
+ Revision: 278033
- update to new version 19.1.0

* Mon Aug 11 2008 Funda Wang <fundawang@mandriva.org> 19.0.5-1mdv2009.0
+ Revision: 270630
- New version 19.0.5

* Sat Aug 09 2008 Funda Wang <fundawang@mandriva.org> 19.0.2-1mdv2009.0
+ Revision: 270047
- update to new version 19.0.2

* Tue Aug 05 2008 Funda Wang <fundawang@mandriva.org> 19.0.1-1mdv2009.0
+ Revision: 263755
- New version 19.0.1

* Sat Jul 12 2008 Funda Wang <fundawang@mandriva.org> 18.0.1-1mdv2009.0
+ Revision: 234080
- New version 18.0.1

* Sat Jul 05 2008 Funda Wang <fundawang@mandriva.org> 18.0.0-1mdv2009.0
+ Revision: 232010
- import teaqt


